Skip to content

Initiate SAML authentication

POST
/api/v1/auth/sso/saml/init
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/auth/sso/saml/init \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "tenant_id": "example" }'

Generate a SAML AuthnRequest and return the redirect URL for the IdP.

Media typeapplication/json
SAMLInitRequest

Request body for initiating SAML auth.

Attributes: tenant_id: The tenant initiating SSO login.

object
tenant_id
required
Tenant Id

The tenant initiating SSO login

string
Examplegenerated
{
"tenant_id": "example"
}

Successful Response

Media typeapplication/json
SSORedirectResponse

Response containing an SSO redirect URL.

Attributes: redirect_url: The URL to redirect the user to. tenant_id: The tenant for this SSO flow.

object
redirect_url
required
Redirect Url

URL to redirect the user to

string
tenant_id
required
Tenant Id

Tenant for this SSO flow

string
Examplegenerated
{
"redirect_url": "example",
"tenant_id": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}